Browse Viewable Profile Benefits
curl --request GET \
--url https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/benefits/viewableimport requests
url = "https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/benefits/viewable"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/benefits/viewable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"handle": "<string>",
"region_id": "<string>",
"region": {
"id": "<string>",
"name": "<string>",
"handle": "<string>"
},
"currency": "<string>",
"period": "<string>",
"description": "<string>",
"internal_notes": "<string>",
"meta": "<string>",
"short_description": "<string>",
"long_description": "<string>",
"terms_conditions": "<string>",
"earn_instructions": "<string>",
"redeem_instructions_store": "<string>",
"redeem_instructions_online": "<string>",
"redeem_code_pos": "<string>",
"redeem_code_online": "<string>",
"icon": "<string>",
"image_url": "<string>",
"max_redemptions": "<string>",
"is_extendable": "<string>",
"is_assignable": "<string>",
"is_reassignable": "<string>",
"is_published": "<string>",
"is_archived": "<string>",
"tags": [
"<string>"
],
"is_claimable": "<string>",
"max_global_redemptions": "<string>",
"total_global_redemptions_remaining": "<string>",
"total_global_redemptions": "<string>",
"claim_period_start_at": "<string>",
"claim_period_end_at": "<string>",
"claim_condition": "<string>",
"is_reclaimable": "<string>",
"notify_schedule_offset": "<string>",
"notify_issue_offset_days": "<string>",
"notify_issue_offset_hour": "<string>",
"notify_remind_offset_days": "<string>",
"notify_remind_offset_hour": "<string>",
"notify_extend_offset_days": "<string>",
"notify_extend_offset_hour": "<string>",
"remind_target_id": "<string>",
"extend_target_id": "<string>",
"issue_target_id": "<string>",
"end_at": "<string>",
"total_allocations": null,
"total_allocations_remaining": null,
"force_allocation": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"claim_timeframe": "<string>",
"view_condition": "<string>",
"allow_user_redeem": "<string>",
"value": "<string>",
"type": "<string>",
"campaign": "<string>",
"external_id": "<string>",
"total_global_created": "<string>",
"same_campaign_count": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Profile Benefit
Browse Viewable Profile Benefits
A GET to the /profiles/{profile}/benefits/viewable endpoint allows your application to retrieve viewable profile benefits.
GET
/
v3
/
profiles
/
{profile}
/
benefits
/
viewable
Browse Viewable Profile Benefits
Filtering
This endpoint accepts
filter and sort query parameters. See Filtering, sorting, and search for paging and for the shared search_with, custom_field, and json_contains filters.Examples
curl -X GET "https://api.[tenant].getomneo.com/api/v3/profiles/{profile}/benefits/viewable?filter[handle]={handle}" \
-H "Authorization: Bearer ${TOKEN}"
curl -X GET "https://api.[tenant].getomneo.com/api/v3/profiles/{profile}/benefits/viewable?filter[created_at][gte]=2026-01-01&filter[created_at][lt]=2026-02-01" \
-H "Authorization: Bearer ${TOKEN}"
Operators
| Operator | Meaning | Example |
|---|---|---|
eq | Equal to. Applied when you give no operator. | filter[handle]={handle} |
ne | Not equal to. | filter[handle][ne]={handle} |
gt | Greater than. | filter[created_at][gt]=2026-01-01 |
gte | Greater than or equal to. | filter[created_at][gte]=2026-01-01 |
lt | Less than. | filter[created_at][lt]=2026-02-01 |
lte | Less than or equal to. | filter[created_at][lte]=2026-02-01 |
in | Matches any value in a comma separated list. | filter[region_id][in]=123,456 |
not_in | Excludes every value in a comma separated list. | filter[region_id][not_in]=123,456 |
nullable | 1 returns records where the attribute is empty. Any other value returns records where it is set. | filter[end_at][nullable]=1 |
not_has operator applies to related attributes, which this endpoint does not have.
Filter attributes
| Attribute | Attribute | Attribute |
|---|---|---|
name | handle | period |
period_type | absolute_expiry | description |
end_at | internal_notes | short_description |
long_description | terms_conditions | icon |
image_url | earn_instructions | redeem_instructions_store |
redeem_instructions_online | redeem_code_pos | redeem_code_online |
is_extendable | is_reassignable | is_assignable |
max_redemptions | is_claimable | claim_period_start_at |
claim_period_end_at | max_global_redemptions | claim_condition |
is_reclaimable | notify_schedule_offset | notify_issue_offset_days |
notify_issue_offset_hour | notify_remind_offset_days | notify_remind_offset_hour |
notify_extend_offset_days | notify_extend_offset_hour | force_allocation |
is_published | is_archived | created_at |
meta | claim_timeframe | view_condition |
visibility_condition | allow_user_redeem | value |
type | campaign | region_id |
currency |
sort key, for example ?sort=-created_at for descending order.
Search attributes
filter[search] runs one partial match term across tags.handle, name, handle, description, campaign, redeem_code_pos, redeem_code_online. A record matches when any one of those attributes contains the term.
curl -X GET "https://api.[tenant].getomneo.com/api/v3/profiles/{profile}/benefits/viewable?filter[search]={term}" \
-H "Authorization: Bearer ${TOKEN}"
⌘I